package javax.print.attribute.standard;

import javax.print.attribute.Attribute;
import javax.print.attribute.SupportedValuesAttribute;
import javax.print.attribute.SetOfIntegerSyntax;

public final class CopiesSupported extends SetOfIntegerSyntax implements SupportedValuesAttribute
{
    private static final long serialVersionUID = 6927711687034846001L;
    
    public CopiesSupported(int member) {
        super(member);
        if (member < 1) {
            throw new IllegalArgumentException("Copies value < 1 specified");
        }
        return;
    }
    
    public CopiesSupported(int lowerBound, int upperBound) {
        super(lowerBound, upperBound);
        if (lowerBound > upperBound) {
            throw new IllegalArgumentException("Null range specified");
        }
        if (lowerBound < 1) {
            throw new IllegalArgumentException("Copies value < 1 specified");
        }
        return;
    }
    
    @Override
    public boolean equals(Object object) {
        return super.equals(object) && object instanceof CopiesSupported;
    }
    
    @Override
    public final Class<? extends Attribute> getCategory() {
        return CopiesSupported.class;
    }
    
    @Override
    public final String getName() {
        return "copies-supported";
    }
}
